SUSE SLES12 セキュリティ更新: squid (SUSE-SU-2016:2008-1)

high Nessus プラグイン ID 93279
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモート SuSE ホストに1つ以上のセキュリティ更新がありません。

説明

Squid HTTP プロキシは、バージョン 3.3.14 に更新され、次のセキュリティ問題を修正しました:

- HTTP 応答処理における複数のサービス拒否問題を修正しました。(CVE-2016-2569、CVE-2016-2570、CVE-2016-2571、CVE-2016-2572、bsc#968392、bsc#968393、bsc#968394、bsc#968395)

- CVE-2016-3947:pinger ICMPv6 処理におけるバッファオーバーランの問題。(bsc#973782)

- CVE-2015-5400:代替パスの不適切な保護。
(bsc#938715)

- CVE-2015-3455:Squid HTTP プロキシが client-first モードの SSL Bump で構成された場合、サーバーの証明書を適切に検証しませんでした。(bsc#929493)

- CVE-2016-3948:HTTP 応答処理におけるサービス拒否を修正しました(bsc#973783)

- CVE-2016-4051:cachemgr.cgi のバッファオーバーフローを修正します(bsc#976553)

- CVE-2016-4052、CVE-2016-4053、CVE-2016-4054:ESI 処理における複数の問題を修正しました(bsc#976556)

- CVE-2016-4553:HTTP リクエスト処理におけるキャッシュポイズニングの問題を修正しました(bsc#979009)

- CVE-2016-4554:HTTP リクエスト処理におけるヘッダースマグリングの問題を修正しました(bsc#979010)

- ESI 応答処理における複数のサービス拒否問題を修正しました。(CVE-2016-4555、CVE-2016-4556、bsc#979011、bsc#979008)さらに、次のセキュリティ以外の問題が修正されています:

- unsquid.pl スクリプトのヘッダーサイズを修正します。(bsc#902197)

- 外部ヘルパー ext_session_acl をパッケージに追加します。
(bsc#959290)

- forward_max_tries を更新して、25 のサーバーパスを許可します クラウドサービスサイトの人気の高まりにより、IPv6 および IPv4 アドレスの長いリストを作成する CDN サーバーが増加しています。十分な数のパスが選択されていない場合、IPv4 アドレスにたどり着けない可能性があります。

- squid.init:アップグレードの際に squid を kill する場合、事前に廃止を公表する代わりに squid が実際に廃止されるまで待ちます(bnc#963539)

注意:Tenable Network Security は、前述の記述ブロックを SUSE セキュリティアドバイザリから直接抽出しています。Tenable では、できる限り新たな問題を持ち込まないように、自動的に整理して書式設定するようにしています。

ソリューション

この SUSE セキュリティ更新をインストールするには、YaST online_update を使用してください。
または、お使いの製品用に一覧になったコマンドを実行することも可能です。

SUSE Linux Enterprise Server 12-SP1:zypper in -t patch SUSE-SLE-SERVER-12-SP1-2016-1184=1

お使いのシステムを最新の状態にするには、「zypper パッチ」を使用してください。

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=902197

https://bugzilla.suse.com/show_bug.cgi?id=929493

https://bugzilla.suse.com/show_bug.cgi?id=938715

https://bugzilla.suse.com/show_bug.cgi?id=955783

https://bugzilla.suse.com/show_bug.cgi?id=959290

https://bugzilla.suse.com/show_bug.cgi?id=963539

https://bugzilla.suse.com/show_bug.cgi?id=968392

https://bugzilla.suse.com/show_bug.cgi?id=968393

https://bugzilla.suse.com/show_bug.cgi?id=968394

https://bugzilla.suse.com/show_bug.cgi?id=968395

https://bugzilla.suse.com/show_bug.cgi?id=973782

https://bugzilla.suse.com/show_bug.cgi?id=973783

https://bugzilla.suse.com/show_bug.cgi?id=976553

https://bugzilla.suse.com/show_bug.cgi?id=976556

https://bugzilla.suse.com/show_bug.cgi?id=979008

https://bugzilla.suse.com/show_bug.cgi?id=979009

https://bugzilla.suse.com/show_bug.cgi?id=979010

https://bugzilla.suse.com/show_bug.cgi?id=979011

https://www.suse.com/security/cve/CVE-2015-3455/

https://www.suse.com/security/cve/CVE-2015-5400/

https://www.suse.com/security/cve/CVE-2016-2569/

https://www.suse.com/security/cve/CVE-2016-2570/

https://www.suse.com/security/cve/CVE-2016-2571/

https://www.suse.com/security/cve/CVE-2016-2572/

https://www.suse.com/security/cve/CVE-2016-3947/

https://www.suse.com/security/cve/CVE-2016-3948/

https://www.suse.com/security/cve/CVE-2016-4051/

https://www.suse.com/security/cve/CVE-2016-4052/

https://www.suse.com/security/cve/CVE-2016-4053/

https://www.suse.com/security/cve/CVE-2016-4054/

https://www.suse.com/security/cve/CVE-2016-4553/

https://www.suse.com/security/cve/CVE-2016-4554/

https://www.suse.com/security/cve/CVE-2016-4555/

https://www.suse.com/security/cve/CVE-2016-4556/

http://www.nessus.org/u?0de7d73e

プラグインの詳細

深刻度: High

ID: 93279

ファイル名: suse_SU-2016-2008-1.nasl

バージョン: 2.10

タイプ: local

エージェント: unix

公開日: 2016/9/2

更新日: 2021/1/6

依存関係: ssh_get_info.nasl

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 5.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 8.8

Temporal Score: 7.7

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:squid, p-cpe:/a:novell:suse_linux:squid-debuginfo, p-cpe:/a:novell:suse_linux:squid-debugsource, cpe:/o:novell:suse_linux:12

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2016/8/9

脆弱性公開日: 2015/5/18

参照情報

CVE: CVE-2015-3455, CVE-2015-5400, CVE-2016-2569, CVE-2016-2570, CVE-2016-2571, CVE-2016-2572, CVE-2016-3947, CVE-2016-3948, CVE-2016-4051, CVE-2016-4052, CVE-2016-4053, CVE-2016-4054, CVE-2016-4553, CVE-2016-4554, CVE-2016-4555, CVE-2016-4556

BID: 74438